Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPPacketReader.PeerTestReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.PeerTestReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.PeerTestReader

extends Object

Help read the PeerTest payload

Constructor Summary
`UDPPacketReader.PeerTestReader()`

Method Summary
`void` | `readIntroKey(byte[] target, int targetOffset)` what Alice's intro key is (if known - if unknown, the key is INVALID_KEY)
`void` | `readIP(byte[] target, int targetOffset)` what IP Alice is reachable on
`int` | `readIPSize()`
`long` | `readNonce()`
`int` | `readPort()` what IP Alice is reachable on

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPPacketReader.PeerTestReader

    public UDPPacketReader.PeerTestReader()

Method Detail

### readNonce

    public long readNonce()

### readIPSize

    public int readIPSize()

### readIP

    public void readIP(byte[] target,
                       int targetOffset)

  what IP Alice is reachable on

### readPort

    public int readPort()

  what IP Alice is reachable on

### readIntroKey

    public void readIntroKey(byte[] target,
                             int targetOffset)

  what Alice's intro key is (if known - if unknown, the key is INVALID_KEY)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD